Summary:	D-Bus interface for user accounts management
Summary(pl.UTF-8):	Interfejs D-Bus do zarządzania kontami użytkowników
Name:		accountsservice
Version:	0.6.40
Release:	2
License:	GPL v3
Group:		Applications/System
Source0:	http://www.freedesktop.org/software/accountsservice/%{name}-%{version}.tar.xz
# Source0-md5:	8b21fe2fbb2b0cf1ba8329596898b203
URL:		http://cgit.freedesktop.org/accountsservice/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-glib-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool >= 2:2
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.102
BuildRequires:	rpmbuild(macros) >= 1.641
BuildRequires:	systemd-devel >= 186
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto
BuildRequires:	xz
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name}-libs = %{version}-%{release}
Requires:	polkit >= 0.102
Requires:	systemd-units >= 0.38
Suggests:	ConsoleKit
Obsoletes:	accountsservice-systemd
Obsoletes:	vala-accountsservice
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The AccountsService project provides:
- A set of D-Bus interfaces for querying and manipulating user account
  information.
- An implementation of these interfaces based on the usermod(8),
  useradd(8) and userdel(8) commands.

%description -l pl.UTF-8
Projekt AccountsService dostarcza:
- Zbiór interfejsów D-Bus do odpytywania i manipulowania informacjami
  o kontach użytkowników.
- Implementacje tych interfejsów oparte o komendy usermod(8),
  useradd(8) i userdel(8).

%package libs
Summary:	Shared accountsservice library
Summary(pl.UTF-8):	Biblioteka współdzielona accountsservice
Group:		Libraries
Requires:	glib2 >= 1:2.38.0
Conflicts:	accountsservice < 0.6.39

%description libs
Shared accountsservice library.

%description libs -l pl.UTF-8
Biblioteka współdzielona accountsservice.

%package devel
Summary:	Development files for accountsservice
Summary(pl.UTF-8):	Pliki programistyczne biblioteki accountsservice
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.38.0

%description devel
Development files for accountsservice (headers, GObject API, D-Bus
interface description).

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki accountsservice (pliki nagłówkowe,
API GObject, opis interfejsu D-Bus).

%package static
Summary:	accountsservice static library
Summary(pl.UTF-8):	Statyczna biblioteka accountsservice
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
accountsservice static library.

%description static -l pl.UTF-8
Statyczna biblioteka accountsservice.

%package apidocs
Summary:	API documentation for accountsservice
Summary(pl.UTF-8):	Dokumentacja API accountsservice
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
API documentation for accountsservice.

%description apidocs -l pl.UTF-8
Dokumentacja API accountsservice.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__gtkdocize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	XMLTO_FLAGS="--skip-validation" \
	--enable-admin-group=wheel \
	--enable-docbook-docs \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir} \
	--with-systemdsystemunitdir=%{systemdunitdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libaccountsservice.la
%{__rm} $RPM_BUILD_ROOT%{_docdir}/accountsservice/spec/AccountsService.html

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{bg_BG,bg}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{fa_IR,fa}

%find_lang accounts-service

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post accounts-daemon.service

%preun
%systemd_preun accounts-daemon.service

%postun
%systemd_reload

%triggerpostun -- accountsservice < 0.6.15-5
%systemd_trigger accounts-daemon.service

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f accounts-service.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO doc/dbus/AccountsService.html
%attr(755,root,root) %{_libexecdir}/accounts-daemon
/etc/dbus-1/system.d/org.freedesktop.Accounts.conf
%{systemdunitdir}/accounts-daemon.service
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%dir /var/lib/AccountsService
%dir /var/lib/AccountsService/icons
%dir /var/lib/AccountsService/users

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaccountsservice.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaccountsservice.so.0
%{_libdir}/girepository-1.0/AccountsService-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaccountsservice.so
%{_includedir}/accountsservice-1.0
%{_pkgconfigdir}/accountsservice.pc
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.User.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.xml
%{_datadir}/gir-1.0/AccountsService-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libaccountsservice.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libaccountsservice
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/accountsservice.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> f181f8b
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 31 2015 Jakub Bogusz <qboosh@pld-linux.org> d7bb3bf
- updated to 0.6.40

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 90a0387
- updated gettext BR

* Sun Dec 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 81ef5f4
- updated to 0.9.39
- separated -libs, so daemon is not required for development
- package -apidocs

* Fri Mar 21 2014 Łukasz Kieś <kiesiu@pld-linux.org> 7feb6b9
- updated to 0.6.37

* Sun Oct 20 2013 Łukasz Kieś <kiesiu@pld-linux.org> 74ad9d2
- updated to 0.6.35
- obsoletes Vala bindings

* Tue Jun 25 2013 Łukasz Kieś <kiesiu@pld-linux.org> 846d609
- updated ot 0.6.34

* Thu May 16 2013 Łukasz Kieś <kiesiu@pld-linux.org> 7e39263
- updated to 0.6.32

* Fri Apr 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 1393c2e
- updated to 0.6.31

* Mon Dec 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7ef9ea8
- updated to 0.6.30

* Mon Dec 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4fed74d
- obsoleted

* Sun Dec 09 2012 Marcin Banasiak <marcin.banasiak@gmail.com> b778f67
- Add -fdo57343.patch to fix segfault on 32bit systems. Release 2

* Sat Dec 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> c408edc
- updated to 0.6.29

* Sat Nov 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8855c9b
- updated to 0.6.26

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 13f03c6
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Wed Sep 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> ecbf8e1
- Updated to 0.6.25

* Thu Aug 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> 430afad
- updated to 0.6.24

* Tue Aug 07 2012 Łukasz Kieś <kiesiu@pld-linux.org> ab7bf13
- updated to 0.6.23

* Sat Jul 21 2012 Łukasz Kieś <kiesiu@pld-linux.org> 986cc93
- updated to 0.6.22; fixes CVE-2012-2737

* Wed Jun 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> a92ffe8
- updated to 0.6.21

